databaseChangeLog:
  - changeSet:
      id: add-unique-constraint-for-dictionary
      author: timo
      changes:
        - dropIndex:
            - indexName: dictionary_entry_version_idx
        - dropIndex:
            - indexName: dictionary_entry_type_id_idx

        - createIndex:
            columns:
              - column:
                  name: type_id
              - column:
                  name: value
            indexName: dictionary_entry_type_id_value_idx
            tableName: dictionary_entry
        - createIndex:
            columns:
              - column:
                  name: type_id
              - column:
                  name: version
            indexName: dictionary_entry_type_id_version_idx
            tableName: dictionary_entry

        - createIndex:
            columns:
              - column:
                  name: type_id
              - column:
                  name: value
            indexName: dictionary_false_positive_entry_type_id_value_idx
            tableName: dictionary_false_positive_entry
        - createIndex:
            columns:
              - column:
                  name: type_id
              - column:
                  name: version
            indexName: dictionary_false_positive_entry_type_id_version_idx
            tableName: dictionary_false_positive_entry

        - createIndex:
            columns:
              - column:
                  name: type_id
              - column:
                  name: value
            indexName: dictionary_false_recommendation_entry_type_id_value_idx
            tableName: dictionary_false_recommendation_entry
        - createIndex:
            columns:
              - column:
                  name: type_id
              - column:
                  name: version
            indexName: dictionary_false_recommendation_entry_type_id_version_idx
            tableName: dictionary_false_recommendation_entry

